- Qt 6.8
- Qt GUI
- C++ Classes
- QtGuiPrivate
- QRhiStats
- Qt 6.8.2 Reference Documentation

# QRhiStats Struct

Statistics provided from the underlying memory allocator. More...

Header: | `#include <rhi/qrhi.h>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::GuiPrivate)`
qmake: | `QT += gui-private`
Since: | Qt 6.6

- List of all members, including inherited members

## Public Variables

quint32 | allocCount
quint32 | blockCount
qint64 | totalPipelineCreationTime
quint64 | totalUsageBytes
quint64 | unusedBytes
quint64 | usedBytes

## Detailed Description

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### quint32 QRhiStats::allocCount

Statistic reported from the Vulkan or D3D12 memory allocator.

See also QRhi::statistics().

### quint32 QRhiStats::blockCount

Statistic reported from the Vulkan or D3D12 memory allocator.

See also QRhi::statistics().

### qint64 QRhiStats::totalPipelineCreationTime

The total time in milliseconds spent in graphics and compute pipeline creation, which usually involves shader compilation or cache lookups, and potentially expensive processing.

Note: The value should not be compared between different backends since the concept of "pipelines" and what exactly happens under the hood during, for instance, a call to QRhiGraphicsPipeline::create(), differ greatly between graphics APIs and their implementations.

See also QRhi::statistics().

### quint64 QRhiStats::totalUsageBytes

Valid only with D3D12 currently. Matches IDXGIAdapter3::QueryVideoMemoryInfo().

See also QRhi::statistics().

### quint64 QRhiStats::unusedBytes

Statistic reported from the Vulkan or D3D12 memory allocator.

See also QRhi::statistics().

### quint64 QRhiStats::usedBytes

Statistic reported from the Vulkan or D3D12 memory allocator.

See also QRhi::statistics().